@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

.findbar-closebutton {
  border: 1px solid transparent;
  padding: 2px !important;
  list-style-image: url("chrome://global/skin/icons/closeSidebar.png");
  -moz-appearance: none;
  -moz-image-region: rect(0px, 14px, 14px, 0px);
}

.findbar-closebutton > .toolbarbutton-icon {
  -moz-margin-end: 0px !important;
  -moz-padding-end: 2px !important;
  -moz-padding-start: 2px !important;
}

.findbar-closebutton:hover {
  -moz-image-region: rect(0px, 28px, 14px, 14px);
}

.findbar-closebutton:hover:active {
  -moz-image-region: rect(0px, 42px, 14px, 28px);
}

findbar {
  -moz-appearance: none !important;
  border-top: 2px solid;
  -moz-border-top-colors: ThreeDShadow ThreeDHighlight !important;
  border-bottom: 1px solid;
  -moz-border-bottom-colors: transparent;
  min-width: 1px;
}

/* find-next button */

.findbar-find-next {
  list-style-image: url("chrome://global/skin/icons/find.png");
  -moz-image-region: rect(0px 16px 16px 0px);
}

.findbar-find-next:hover {
  -moz-image-region: rect(16px 16px 32px 0px);
}

.findbar-find-next[disabled="true"] {
  -moz-image-region: rect(32px 16px 48px 0px) !important;
}

/* find-previous button */

.findbar-find-previous {
  list-style-image: url("chrome://global/skin/icons/find.png");
  -moz-image-region: rect(0px 32px 16px 16px);
}

.findbar-find-previous:hover {
  -moz-image-region: rect(16px 32px 32px 16px);
}

.findbar-find-previous[disabled="true"] {
  -moz-image-region: rect(32px 32px 48px 16px) !important;
}

/* highlight button */

.findbar-highlight {
  list-style-image: url("chrome://global/skin/icons/find.png");
  -moz-image-region: rect(0px 48px 16px 32px);
}

.findbar-highlight:hover {
  -moz-image-region: rect(16px 48px 32px 32px);
}

.findbar-highlight[disabled="true"] {
  -moz-image-region: rect(32px 48px 48px 32px) !important;
}

.findbar-highlight:active, .findbar-highlight[checked="true"] {
  -moz-image-region: rect(48px 48px 64px 32px);
}

.findbar-highlight[checked="true"]:hover {
  -moz-image-region: rect(64px 48px 80px 32px);
}

.find-status-icon {
  list-style-image: none;
  margin-top: 2px;
  margin-bottom: 0px;
  -moz-margin-start: 12px;
  -moz-margin-end: 0px;
  width: 16px;
  height: 16px;
}

.findbar-find-status {
  margin-top: 0px;
  margin-bottom: 0px;
  -moz-margin-start: 3px;
  -moz-margin-end: 0px;
  padding: 2px;
}

.find-status-icon[status="notfound"] {
  list-style-image: url("chrome://global/skin/icons/notfound.png");
}

.findbar-textbox {
  -moz-binding: url("chrome://global/content/bindings/findbar.xml#findbar-textbox");
  -moz-appearance: none;
  border: none;
  margin: 0px;
}

.findbar-textbox[status="notfound"] {
  background-color: #FF6666;
  color: #FFFFFF;
}

findbar[flash="true"] > .findbar-container > .find-field-container > .findbar-textbox {
  background-color: yellow;
}

.find-status-icon[status="wrapped"] {
  list-style-image: url("chrome://global/skin/icons/wrap.png");
}

.find-field-container {
  -moz-appearance: textfield;
}
